# Uses of Enum Class
org.snpeff.snpEffect.VariantEffect.FunctionalClass

Packages that use VariantEffect.FunctionalClass
Package
Description
org.snpeff.snpEffect
org.snpeff.vcf

## Uses of VariantEffect.FunctionalClass in org.snpeff.snpEffect

Subclasses with type arguments of type VariantEffect.FunctionalClass in org.snpeff.snpEffect
Modifier and Type
Class
Description
`static enum`
`VariantEffect.FunctionalClass`
This class is only getFused for SNPs
Methods in org.snpeff.snpEffect that return VariantEffect.FunctionalClass
Modifier and Type
Method
Description
`VariantEffect.FunctionalClass`
VariantEffect.`getFunctionalClass()`
Return functional class of this effect (i.e.
`static VariantEffect.FunctionalClass`
VariantEffect.FunctionalClass.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VariantEffect.FunctionalClass[]`
VariantEffect.FunctionalClass.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of VariantEffect.FunctionalClass in org.snpeff.vcf

Methods in org.snpeff.vcf that return VariantEffect.FunctionalClass
Modifier and Type
Method
Description
`VariantEffect.FunctionalClass`
VcfEffect.`getFunClass()`
Methods in org.snpeff.vcf with parameters of type VariantEffect.FunctionalClass
Modifier and Type
Method
Description
`void`
VcfEffect.`setFunClass(VariantEffect.FunctionalClass funClass)`